gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.TypeQuery

Contents

- Exported types
- Methods
- Properties
  - classSize
  - instanceSize
  - type
  - typeName

Description

A structure holding information for a specific type.

See also: `typeQuery`

Synopsis

- newtype TypeQuery = TypeQuery (ManagedPtr TypeQuery)
- newZeroTypeQuery :: MonadIO m => m TypeQuery
- getTypeQueryClassSize :: MonadIO m => TypeQuery -> m Word32
- setTypeQueryClassSize :: MonadIO m => TypeQuery -> Word32 -> m ()
- getTypeQueryInstanceSize :: MonadIO m => TypeQuery -> m Word32
- setTypeQueryInstanceSize :: MonadIO m => TypeQuery -> Word32 -> m ()
- getTypeQueryType :: MonadIO m => TypeQuery -> m GType
- setTypeQueryType :: MonadIO m => TypeQuery -> GType -> m ()
- clearTypeQueryTypeName :: MonadIO m => TypeQuery -> m ()
- getTypeQueryTypeName :: MonadIO m => TypeQuery -> m (Maybe Text)
- setTypeQueryTypeName :: MonadIO m => TypeQuery -> CString -> m ()

# Exported types

newtype TypeQuery Source #

Memory-managed wrapper type.

Constructors

TypeQuery (ManagedPtr TypeQuery) |

#### Instances

Instances details

Eq TypeQuery Source # |
Instance details Defined in GI.GObject.Structs.TypeQuery Methods (==) :: TypeQuery -> TypeQuery -> Bool Source # (/=) :: TypeQuery -> TypeQuery -> Bool Source #
BoxedPtr TypeQuery Source # |
Instance details Defined in GI.GObject.Structs.TypeQuery Methods boxedPtrCopy :: TypeQuery -> IO TypeQuery Source # boxedPtrFree :: TypeQuery -> IO () Source #
CallocPtr TypeQuery Source # |
Instance details Defined in GI.GObject.Structs.TypeQuery Methods boxedPtrCalloc :: IO (Ptr TypeQuery) Source #
ManagedPtrNewtype TypeQuery Source # |
Instance details Defined in GI.GObject.Structs.TypeQuery Methods toManagedPtr :: TypeQuery -> ManagedPtr TypeQuery Source #
tag ~ 'AttrSet => Constructible TypeQuery tag Source # |
Instance details Defined in GI.GObject.Structs.TypeQuery Methods new :: MonadIO m => (ManagedPtr TypeQuery -> TypeQuery) -> [AttrOp TypeQuery tag] -> m TypeQuery Source #

newZeroTypeQuery :: MonadIO m => m TypeQuery Source #

Construct a `TypeQuery` struct initialized to zero.

# Methods

# Properties

## classSize

the size of the class structure

getTypeQueryClassSize :: MonadIO m => TypeQuery -> m Word32 Source #

Get the value of the “`class_size`” field. When overloading is enabled, this is equivalent to

    get typeQuery #classSize

setTypeQueryClassSize :: MonadIO m => TypeQuery -> Word32 -> m () Source #

Set the value of the “`class_size`” field. When overloading is enabled, this is equivalent to

    set typeQuery [ #classSize := value ]

## instanceSize

the size of the instance structure

getTypeQueryInstanceSize :: MonadIO m => TypeQuery -> m Word32 Source #

Get the value of the “`instance_size`” field. When overloading is enabled, this is equivalent to

    get typeQuery #instanceSize

setTypeQueryInstanceSize :: MonadIO m => TypeQuery -> Word32 -> m () Source #

Set the value of the “`instance_size`” field. When overloading is enabled, this is equivalent to

    set typeQuery [ #instanceSize := value ]

## type

the `GType` value of the type

getTypeQueryType :: MonadIO m => TypeQuery -> m GType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get typeQuery #type

setTypeQueryType :: MonadIO m => TypeQuery -> GType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set typeQuery [ #type := value ]

## typeName

the name of the type

clearTypeQueryTypeName :: MonadIO m => TypeQuery -> m () Source #

Set the value of the “`type_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #typeName

getTypeQueryTypeName :: MonadIO m => TypeQuery -> m (Maybe Text) Source #

Get the value of the “`type_name`” field. When overloading is enabled, this is equivalent to

    get typeQuery #typeName

setTypeQueryTypeName :: MonadIO m => TypeQuery -> CString -> m () Source #

Set the value of the “`type_name`” field. When overloading is enabled, this is equivalent to

    set typeQuery [ #typeName := value ]